NAND_SCAN(9)

NAME
nand_scan - [NAND Interface] Scan for the NAND device

SYNOPSIS

int nand_scan(struct mtd_info * mtd, int maxchips);

ARGUMENTS

mtd
    MTD device structure

maxchips
    number of chips to scan for

DESCRIPTION

This fills out all the uninitialized function pointers with the defaults. The flash ID is read and the mtd/chip structures are filled with the appropriate values. The mtd->owner field must be set to the module of the caller.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT